/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef OOX_TOKEN_PROPERTIES_HXX
#define OOX_TOKEN_PROPERTIES_HXX

#include <sal/types.h>

namespace oox {
const sal_Int32 PROP_AbsoluteName = 0;
const sal_Int32 PROP_Action = 1;
const sal_Int32 PROP_ActiveSplitRange = 2;
const sal_Int32 PROP_ActiveTable = 3;
const sal_Int32 PROP_Address = 4;
const sal_Int32 PROP_Adjust = 5;
const sal_Int32 PROP_AdjustContrast = 6;
const sal_Int32 PROP_AdjustLuminance = 7;
const sal_Int32 PROP_AdjustmentValues = 8;
const sal_Int32 PROP_Align = 9;
const sal_Int32 PROP_AnchorPosition = 10;
const sal_Int32 PROP_AnchorType = 11;
const sal_Int32 PROP_ApplyFormDesignMode = 12;
const sal_Int32 PROP_AreaLinks = 13;
const sal_Int32 PROP_ArrangeOrder = 14;
const sal_Int32 PROP_Aspect = 15;
const sal_Int32 PROP_AttachedAxisIndex = 16;
const sal_Int32 PROP_AutoFilter = 17;
const sal_Int32 PROP_AutoShowInfo = 18;
const sal_Int32 PROP_Autocomplete = 19;
const sal_Int32 PROP_BackColor = 20;
const sal_Int32 PROP_BackColorTransparency = 21;
const sal_Int32 PROP_BackGraphic = 22;
const sal_Int32 PROP_BackGraphicLocation = 23;
const sal_Int32 PROP_Background = 24;
const sal_Int32 PROP_BackgroundColor = 25;
const sal_Int32 PROP_BasicLibraries = 26;
const sal_Int32 PROP_BlackDay = 27;
const sal_Int32 PROP_BlockIncrement = 28;
const sal_Int32 PROP_Border = 29;
const sal_Int32 PROP_BorderColor = 30;
const sal_Int32 PROP_BorderDashName = 31;
const sal_Int32 PROP_BorderStyle = 32;
const sal_Int32 PROP_BorderTransparency = 33;
const sal_Int32 PROP_BorderWidth = 34;
const sal_Int32 PROP_BottomBorder = 35;
const sal_Int32 PROP_BottomBorderDistance = 36;
const sal_Int32 PROP_BottomMargin = 37;
const sal_Int32 PROP_BuiltInUnit = 38;
const sal_Int32 PROP_BulletChar = 39;
const sal_Int32 PROP_BulletColor = 40;
const sal_Int32 PROP_BulletFont = 41;
const sal_Int32 PROP_BulletFontName = 42;
const sal_Int32 PROP_BulletRelSize = 43;
const sal_Int32 PROP_CLSID = 44;
const sal_Int32 PROP_CalcAsShown = 45;
const sal_Int32 PROP_CellBackColor = 46;
const sal_Int32 PROP_CellProtection = 47;
const sal_Int32 PROP_CellStyle = 48;
const sal_Int32 PROP_CenterHorizontally = 49;
const sal_Int32 PROP_CenterVertically = 50;
const sal_Int32 PROP_Change = 51;
const sal_Int32 PROP_CharBackColor = 52;
const sal_Int32 PROP_CharCaseMap = 53;
const sal_Int32 PROP_CharColor = 54;
const sal_Int32 PROP_CharContoured = 55;
const sal_Int32 PROP_CharEscapement = 56;
const sal_Int32 PROP_CharEscapementHeight = 57;
const sal_Int32 PROP_CharFontCharSet = 58;
const sal_Int32 PROP_CharFontCharSetAsian = 59;
const sal_Int32 PROP_CharFontCharSetComplex = 60;
const sal_Int32 PROP_CharFontFamily = 61;
const sal_Int32 PROP_CharFontFamilyAsian = 62;
const sal_Int32 PROP_CharFontFamilyComplex = 63;
const sal_Int32 PROP_CharFontName = 64;
const sal_Int32 PROP_CharFontNameAsian = 65;
const sal_Int32 PROP_CharFontNameComplex = 66;
const sal_Int32 PROP_CharFontPitch = 67;
const sal_Int32 PROP_CharFontPitchAsian = 68;
const sal_Int32 PROP_CharFontPitchComplex = 69;
const sal_Int32 PROP_CharHeight = 70;
const sal_Int32 PROP_CharHeightAsian = 71;
const sal_Int32 PROP_CharHeightComplex = 72;
const sal_Int32 PROP_CharInteropGrabBag = 73;
const sal_Int32 PROP_CharKerning = 74;
const sal_Int32 PROP_CharLocale = 75;
const sal_Int32 PROP_CharLocaleAsian = 76;
const sal_Int32 PROP_CharLocaleComplex = 77;
const sal_Int32 PROP_CharPosture = 78;
const sal_Int32 PROP_CharPostureAsian = 79;
const sal_Int32 PROP_CharPostureComplex = 80;
const sal_Int32 PROP_CharShadowed = 81;
const sal_Int32 PROP_CharStrikeout = 82;
const sal_Int32 PROP_CharStyleName = 83;
const sal_Int32 PROP_CharUnderline = 84;
const sal_Int32 PROP_CharUnderlineColor = 85;
const sal_Int32 PROP_CharUnderlineHasColor = 86;
const sal_Int32 PROP_CharWeight = 87;
const sal_Int32 PROP_CharWeightAsian = 88;
const sal_Int32 PROP_CharWeightComplex = 89;
const sal_Int32 PROP_CircleEndAngle = 90;
const sal_Int32 PROP_CircleKind = 91;
const sal_Int32 PROP_CircleStartAngle = 92;
const sal_Int32 PROP_ClassId = 93;
const sal_Int32 PROP_CodeName = 94;
const sal_Int32 PROP_Color = 95;
const sal_Int32 PROP_ColumnGrand = 96;
const sal_Int32 PROP_ColumnLabelRanges = 97;
const sal_Int32 PROP_CompileEnglish = 98;
const sal_Int32 PROP_ConditionalFormat = 99;
const sal_Int32 PROP_ConnectBars = 100;
const sal_Int32 PROP_ContainsHeader = 101;
const sal_Int32 PROP_Coordinates = 102;
const sal_Int32 PROP_CopyBack = 103;
const sal_Int32 PROP_CopyFormulas = 104;
const sal_Int32 PROP_CopyOutputData = 105;
const sal_Int32 PROP_CopyStyles = 106;
const sal_Int32 PROP_CornerRadius = 107;
const sal_Int32 PROP_CrossoverPosition = 108;
const sal_Int32 PROP_CrossoverValue = 109;
const sal_Int32 PROP_CursorPositionX = 110;
const sal_Int32 PROP_CursorPositionY = 111;
const sal_Int32 PROP_CurveName = 112;
const sal_Int32 PROP_CurveStyle = 113;
const sal_Int32 PROP_CustomLabelFields = 114;
const sal_Int32 PROP_CustomShapeGeometry = 115;
const sal_Int32 PROP_D3DSceneAmbientColor = 116;
const sal_Int32 PROP_D3DSceneLightColor2 = 117;
const sal_Int32 PROP_D3DSceneLightDirection2 = 118;
const sal_Int32 PROP_D3DSceneLightOn1 = 119;
const sal_Int32 PROP_D3DSceneLightOn2 = 120;
const sal_Int32 PROP_D3DScenePerspective = 121;
const sal_Int32 PROP_D3DSceneShadeMode = 122;
const sal_Int32 PROP_DDELinks = 123;
const sal_Int32 PROP_DataTableHBorder = 124;
const sal_Int32 PROP_DataTableOutline = 125;
const sal_Int32 PROP_DataTableVBorder = 126;
const sal_Int32 PROP_DatabaseRanges = 127;
const sal_Int32 PROP_Decoration = 128;
const sal_Int32 PROP_DefaultScrollValue = 129;
const sal_Int32 PROP_DefaultSpinValue = 130;
const sal_Int32 PROP_DefaultState = 131;
const sal_Int32 PROP_DefaultText = 132;
const sal_Int32 PROP_DefaultValue = 133;
const sal_Int32 PROP_DiagonalBLTR = 134;
const sal_Int32 PROP_DiagonalTLBR = 135;
const sal_Int32 PROP_DialogLibraries = 136;
const sal_Int32 PROP_DisableComplexChartTypes = 137;
const sal_Int32 PROP_DisableDataTableDialog = 138;
const sal_Int32 PROP_DisplayLabels = 139;
const sal_Int32 PROP_DisplayUnits = 140;
const sal_Int32 PROP_DrillDownOnDoubleClick = 141;
const sal_Int32 PROP_Dropdown = 142;
const sal_Int32 PROP_Duration = 143;
const sal_Int32 PROP_EchoChar = 144;
const sal_Int32 PROP_EnableVisible = 145;
const sal_Int32 PROP_Enabled = 146;
const sal_Int32 PROP_EndPosition = 147;
const sal_Int32 PROP_Equations = 148;
const sal_Int32 PROP_ErrorAlertStyle = 149;
const sal_Int32 PROP_ErrorBarStyle = 150;
const sal_Int32 PROP_ErrorBarX = 151;
const sal_Int32 PROP_ErrorBarY = 152;
const sal_Int32 PROP_ErrorMessage = 153;
const sal_Int32 PROP_ErrorTitle = 154;
const sal_Int32 PROP_Expansion = 155;
const sal_Int32 PROP_ExternalData = 156;
const sal_Int32 PROP_ExternalDocLinks = 157;
const sal_Int32 PROP_ExternalLinks = 158;
const sal_Int32 PROP_ExtrapolateBackward = 159;
const sal_Int32 PROP_ExtrapolateForward = 160;
const sal_Int32 PROP_FileFormat = 161;
const sal_Int32 PROP_FillBackground = 162;
const sal_Int32 PROP_FillBitmap = 163;
const sal_Int32 PROP_FillBitmapMode = 164;
const sal_Int32 PROP_FillBitmapName = 165;
const sal_Int32 PROP_FillBitmapPositionOffsetX = 166;
const sal_Int32 PROP_FillBitmapPositionOffsetY = 167;
const sal_Int32 PROP_FillBitmapRectanglePoint = 168;
const sal_Int32 PROP_FillBitmapSizeX = 169;
const sal_Int32 PROP_FillBitmapSizeY = 170;
const sal_Int32 PROP_FillColor = 171;
const sal_Int32 PROP_FillGradient = 172;
const sal_Int32 PROP_FillGradientName = 173;
const sal_Int32 PROP_FillHatch = 174;
const sal_Int32 PROP_FillHatchName = 175;
const sal_Int32 PROP_FillStyle = 176;
const sal_Int32 PROP_FillTransparence = 177;
const sal_Int32 PROP_FillTransparenceGradient = 178;
const sal_Int32 PROP_FillTransparenceGradientName = 179;
const sal_Int32 PROP_Filter = 180;
const sal_Int32 PROP_FilterCriteriaSource = 181;
const sal_Int32 PROP_FilterOptions = 182;
const sal_Int32 PROP_FirstLineOffset = 183;
const sal_Int32 PROP_FirstPageNumber = 184;
const sal_Int32 PROP_FocusOnClick = 185;
const sal_Int32 PROP_FontCharset = 186;
const sal_Int32 PROP_FontHeight = 187;
const sal_Int32 PROP_FontIndependentLineSpacing = 188;
const sal_Int32 PROP_FontName = 189;
const sal_Int32 PROP_FontSlant = 190;
const sal_Int32 PROP_FontStrikeout = 191;
const sal_Int32 PROP_FontUnderline = 192;
const sal_Int32 PROP_FontWeight = 193;
const sal_Int32 PROP_FooterBodyDistance = 194;
const sal_Int32 PROP_FooterHeight = 195;
const sal_Int32 PROP_FooterIsDynamicHeight = 196;
const sal_Int32 PROP_FooterIsOn = 197;
const sal_Int32 PROP_FooterIsShared = 198;
const sal_Int32 PROP_ForceIntercept = 199;
const sal_Int32 PROP_FormulaConvention = 200;
const sal_Int32 PROP_FrameIsAutomaticHeight = 201;
const sal_Int32 PROP_FromWordArt = 202;
const sal_Int32 PROP_Function = 203;
const sal_Int32 PROP_GapwidthSequence = 204;
const sal_Int32 PROP_GenerateVbaEvents = 205;
const sal_Int32 PROP_Geometry3D = 206;
const sal_Int32 PROP_GradientName = 207;
const sal_Int32 PROP_Graphic = 208;
const sal_Int32 PROP_GraphicBitmap = 209;
const sal_Int32 PROP_GraphicColorMode = 210;
const sal_Int32 PROP_GraphicCrop = 211;
const sal_Int32 PROP_GraphicSize = 212;
const sal_Int32 PROP_GridColor = 213;
const sal_Int32 PROP_GroupInfo = 214;
const sal_Int32 PROP_GroupName = 215;
const sal_Int32 PROP_HScroll = 216;
const sal_Int32 PROP_Handles = 217;
const sal_Int32 PROP_HasAutoShowInfo = 218;
const sal_Int32 PROP_HasColumnRowHeaders = 219;
const sal_Int32 PROP_HasHorizontalScrollBar = 220;
const sal_Int32 PROP_HasLayoutInfo = 221;
const sal_Int32 PROP_HasMainTitle = 222;
const sal_Int32 PROP_HasReference = 223;
const sal_Int32 PROP_HasSecondaryXAxisTitle = 224;
const sal_Int32 PROP_HasSecondaryYAxisTitle = 225;
const sal_Int32 PROP_HasSheetTabs = 226;
const sal_Int32 PROP_HasSortInfo = 227;
const sal_Int32 PROP_HasVerticalScrollBar = 228;
const sal_Int32 PROP_HasXAxisTitle = 229;
const sal_Int32 PROP_HasYAxisTitle = 230;
const sal_Int32 PROP_HasZAxisTitle = 231;
const sal_Int32 PROP_HatchName = 232;
const sal_Int32 PROP_HeaderBodyDistance = 233;
const sal_Int32 PROP_HeaderHeight = 234;
const sal_Int32 PROP_HeaderIsDynamicHeight = 235;
const sal_Int32 PROP_HeaderIsOn = 236;
const sal_Int32 PROP_HeaderIsShared = 237;
const sal_Int32 PROP_Height = 238;
const sal_Int32 PROP_HelpText = 239;
const sal_Int32 PROP_HideInactiveSelection = 240;
const sal_Int32 PROP_HoriJustify = 241;
const sal_Int32 PROP_HoriJustifyMethod = 242;
const sal_Int32 PROP_HoriOrient = 243;
const sal_Int32 PROP_HoriOrientPosition = 244;
const sal_Int32 PROP_HoriOrientRelation = 245;
const sal_Int32 PROP_HorizontalSplitMode = 246;
const sal_Int32 PROP_HorizontalSplitPositionTwips = 247;
const sal_Int32 PROP_IgnoreBlankCells = 248;
const sal_Int32 PROP_IgnoreCase = 249;
const sal_Int32 PROP_IgnoreLeadingSpaces = 250;
const sal_Int32 PROP_ImagePosition = 251;
const sal_Int32 PROP_IncludeHiddenCells = 252;
const sal_Int32 PROP_InputMessage = 253;
const sal_Int32 PROP_InputTitle = 254;
const sal_Int32 PROP_InterceptValue = 255;
const sal_Int32 PROP_IsActive = 256;
const sal_Int32 PROP_IsAdjustHeightEnabled = 257;
const sal_Int32 PROP_IsCaseSensitive = 258;
const sal_Int32 PROP_IsCellBackgroundTransparent = 259;
const sal_Int32 PROP_IsChangeReadOnlyEnabled = 260;
const sal_Int32 PROP_IsDate = 261;
const sal_Int32 PROP_IsExecuteLinkEnabled = 262;
const sal_Int32 PROP_IsHidden = 263;
const sal_Int32 PROP_IsIterationEnabled = 264;
const sal_Int32 PROP_IsLandscape = 265;
const sal_Int32 PROP_IsLoaded = 266;
const sal_Int32 PROP_IsNumbering = 267;
const sal_Int32 PROP_IsOutlineSymbolsSet = 268;
const sal_Int32 PROP_IsPlaceholderDependent = 269;
const sal_Int32 PROP_IsSharedFormula = 270;
const sal_Int32 PROP_IsStartOfNewPage = 271;
const sal_Int32 PROP_IsTextWrapped = 272;
const sal_Int32 PROP_IsUndoEnabled = 273;
const sal_Int32 PROP_IsVisible = 274;
const sal_Int32 PROP_IterationCount = 275;
const sal_Int32 PROP_IterationEpsilon = 276;
const sal_Int32 PROP_Japanese = 277;
const sal_Int32 PROP_Label = 278;
const sal_Int32 PROP_LabelBorderColor = 279;
const sal_Int32 PROP_LabelBorderStyle = 280;
const sal_Int32 PROP_LabelBorderWidth = 281;
const sal_Int32 PROP_LabelPlacement = 282;
const sal_Int32 PROP_LabelPosition = 283;
const sal_Int32 PROP_LabelSeparator = 284;
const sal_Int32 PROP_LayoutInfo = 285;
const sal_Int32 PROP_LeftBorder = 286;
const sal_Int32 PROP_LeftBorderDistance = 287;
const sal_Int32 PROP_LeftMargin = 288;
const sal_Int32 PROP_LeftPageFooterContent = 289;
const sal_Int32 PROP_LeftPageHeaderContent = 290;
const sal_Int32 PROP_LegacyFragment = 291;
const sal_Int32 PROP_LineCap = 292;
const sal_Int32 PROP_LineColor = 293;
const sal_Int32 PROP_LineCount = 294;
const sal_Int32 PROP_LineDash = 295;
const sal_Int32 PROP_LineDashName = 296;
const sal_Int32 PROP_LineEndCenter = 297;
const sal_Int32 PROP_LineEndName = 298;
const sal_Int32 PROP_LineEndWidth = 299;
const sal_Int32 PROP_LineIncrement = 300;
const sal_Int32 PROP_LineJoint = 301;
const sal_Int32 PROP_LineStartCenter = 302;
const sal_Int32 PROP_LineStartName = 303;
const sal_Int32 PROP_LineStartWidth = 304;
const sal_Int32 PROP_LineStyle = 305;
const sal_Int32 PROP_LineTransparence = 306;
const sal_Int32 PROP_LineWidth = 307;
const sal_Int32 PROP_LinkNumberFormatToSource = 308;
const sal_Int32 PROP_LinkURL = 309;
const sal_Int32 PROP_LoadReadonly = 310;
const sal_Int32 PROP_LookUpLabels = 311;
const sal_Int32 PROP_MajorTickmarks = 312;
const sal_Int32 PROP_MarkPosition = 313;
const sal_Int32 PROP_MaxFieldCount = 314;
const sal_Int32 PROP_MaxTextLen = 315;
const sal_Int32 PROP_MediaType = 316;
const sal_Int32 PROP_MediaURL = 317;
const sal_Int32 PROP_MinorTickmarks = 318;
const sal_Int32 PROP_MirroredX = 319;
const sal_Int32 PROP_MirroredY = 320;
const sal_Int32 PROP_MissingValueTreatment = 321;
const sal_Int32 PROP_Model = 322;
const sal_Int32 PROP_ModifyPasswordHash = 323;
const sal_Int32 PROP_MoveProtect = 324;
const sal_Int32 PROP_MovingAveragePeriod = 325;
const sal_Int32 PROP_MultiLine = 326;
const sal_Int32 PROP_MultiPageValue = 327;
const sal_Int32 PROP_MultiSelection = 328;
const sal_Int32 PROP_Name = 329;
const sal_Int32 PROP_NamedRanges = 330;
const sal_Int32 PROP_NegativeError = 331;
const sal_Int32 PROP_NullDate = 332;
const sal_Int32 PROP_NumberFormat = 333;
const sal_Int32 PROP_NumberingIsNumber = 334;
const sal_Int32 PROP_NumberingLevel = 335;
const sal_Int32 PROP_NumberingRules = 336;
const sal_Int32 PROP_NumberingType = 337;
const sal_Int32 PROP_Offset = 338;
const sal_Int32 PROP_OpCodeMap = 339;
const sal_Int32 PROP_Opaque = 340;
const sal_Int32 PROP_Orientation = 341;
const sal_Int32 PROP_OutputPosition = 342;
const sal_Int32 PROP_OverlapSequence = 343;
const sal_Int32 PROP_PageScale = 344;
const sal_Int32 PROP_PageStyle = 345;
const sal_Int32 PROP_PageToggle = 346;
const sal_Int32 PROP_PageViewZoomValue = 347;
const sal_Int32 PROP_PaintTransparent = 348;
const sal_Int32 PROP_ParaAdjust = 349;
const sal_Int32 PROP_ParaBottomMargin = 350;
const sal_Int32 PROP_ParaFirstLineIndent = 351;
const sal_Int32 PROP_ParaIndent = 352;
const sal_Int32 PROP_ParaIsHangingPunctuation = 353;
const sal_Int32 PROP_ParaIsHyphenation = 354;
const sal_Int32 PROP_ParaLeftMargin = 355;
const sal_Int32 PROP_ParaLineSpacing = 356;
const sal_Int32 PROP_ParaRightMargin = 357;
const sal_Int32 PROP_ParaTabStops = 358;
const sal_Int32 PROP_ParaTopMargin = 359;
const sal_Int32 PROP_Path = 360;
const sal_Int32 PROP_PercentageNumberFormat = 361;
const sal_Int32 PROP_PersistName = 362;
const sal_Int32 PROP_Perspective = 363;
const sal_Int32 PROP_PolyPolygon = 364;
const sal_Int32 PROP_PolyPolygonBezier = 365;
const sal_Int32 PROP_PolygonKind = 366;
const sal_Int32 PROP_PolynomialDegree = 367;
const sal_Int32 PROP_Position = 368;
const sal_Int32 PROP_PositionBottom = 369;
const sal_Int32 PROP_PositionLeft = 370;
const sal_Int32 PROP_PositionRight = 371;
const sal_Int32 PROP_PositionTop = 372;
const sal_Int32 PROP_PositionX = 373;
const sal_Int32 PROP_PositionY = 374;
const sal_Int32 PROP_PositiveError = 375;
const sal_Int32 PROP_Prefix = 376;
const sal_Int32 PROP_PresetTextWarp = 377;
const sal_Int32 PROP_PrintAnnotations = 378;
const sal_Int32 PROP_PrintBorder = 379;
const sal_Int32 PROP_PrintDownFirst = 380;
const sal_Int32 PROP_PrintGrid = 381;
const sal_Int32 PROP_PrintHeaders = 382;
const sal_Int32 PROP_Printable = 383;
const sal_Int32 PROP_PrivateStream = 384;
const sal_Int32 PROP_PrivateTempFileURL = 385;
const sal_Int32 PROP_ProgressValueMax = 386;
const sal_Int32 PROP_ProgressValueMin = 387;
const sal_Int32 PROP_Protected = 388;
const sal_Int32 PROP_RadiusRangeMaximum = 389;
const sal_Int32 PROP_RadiusRangeMinimum = 390;
const sal_Int32 PROP_RangeXMaximum = 391;
const sal_Int32 PROP_RangeXMinimum = 392;
const sal_Int32 PROP_RangeYMaximum = 393;
const sal_Int32 PROP_RangeYMinimum = 394;
const sal_Int32 PROP_ReadOnly = 395;
const sal_Int32 PROP_RefAngle = 396;
const sal_Int32 PROP_RefR = 397;
const sal_Int32 PROP_RefX = 398;
const sal_Int32 PROP_RefY = 399;
const sal_Int32 PROP_Reference = 400;
const sal_Int32 PROP_ReferenceDevice = 401;
const sal_Int32 PROP_ReferenceSheet = 402;
const sal_Int32 PROP_RefreshPeriod = 403;
const sal_Int32 PROP_RegularExpressions = 404;
const sal_Int32 PROP_RelId = 405;
const sal_Int32 PROP_RelativeHeight = 406;
const sal_Int32 PROP_RelativeHorizontalTabbarWidth = 407;
const sal_Int32 PROP_RelativePosition = 408;
const sal_Int32 PROP_RelativeSize = 409;
const sal_Int32 PROP_RelativeWidth = 410;
const sal_Int32 PROP_Repeat = 411;
const sal_Int32 PROP_RepeatDelay = 412;
const sal_Int32 PROP_Representation = 413;
const sal_Int32 PROP_RightAngledAxes = 414;
const sal_Int32 PROP_RightBorder = 415;
const sal_Int32 PROP_RightBorderDistance = 416;
const sal_Int32 PROP_RightMargin = 417;
const sal_Int32 PROP_RightPageFooterContent = 418;
const sal_Int32 PROP_RightPageHeaderContent = 419;
const sal_Int32 PROP_Role = 420;
const sal_Int32 PROP_RotateAngle = 421;
const sal_Int32 PROP_RotateReference = 422;
const sal_Int32 PROP_RotationHorizontal = 423;
const sal_Int32 PROP_RotationVertical = 424;
const sal_Int32 PROP_RowGrand = 425;
const sal_Int32 PROP_RowLabelRanges = 426;
const sal_Int32 PROP_SaveOutputPosition = 427;
const sal_Int32 PROP_ScaleMode = 428;
const sal_Int32 PROP_ScaleToPages = 429;
const sal_Int32 PROP_ScaleToPagesX = 430;
const sal_Int32 PROP_ScaleToPagesY = 431;
const sal_Int32 PROP_ScrollHeight = 432;
const sal_Int32 PROP_ScrollLeft = 433;
const sal_Int32 PROP_ScrollTop = 434;
const sal_Int32 PROP_ScrollValue = 435;
const sal_Int32 PROP_ScrollValueMax = 436;
const sal_Int32 PROP_ScrollValueMin = 437;
const sal_Int32 PROP_ScrollWidth = 438;
const sal_Int32 PROP_Segments = 439;
const sal_Int32 PROP_SelectedItems = 440;
const sal_Int32 PROP_SelectedPage = 441;
const sal_Int32 PROP_Shadow = 442;
const sal_Int32 PROP_ShadowColor = 443;
const sal_Int32 PROP_ShadowFormat = 444;
const sal_Int32 PROP_ShadowTransparence = 445;
const sal_Int32 PROP_ShadowXDistance = 446;
const sal_Int32 PROP_ShadowYDistance = 447;
const sal_Int32 PROP_Show = 448;
const sal_Int32 PROP_ShowBorder = 449;
const sal_Int32 PROP_ShowCharts = 450;
const sal_Int32 PROP_ShowCorrelationCoefficient = 451;
const sal_Int32 PROP_ShowDetail = 452;
const sal_Int32 PROP_ShowDrawing = 453;
const sal_Int32 PROP_ShowEmpty = 454;
const sal_Int32 PROP_ShowEquation = 455;
const sal_Int32 PROP_ShowErrorMessage = 456;
const sal_Int32 PROP_ShowFilterButton = 457;
const sal_Int32 PROP_ShowFirst = 458;
const sal_Int32 PROP_ShowFormulas = 459;
const sal_Int32 PROP_ShowGrid = 460;
const sal_Int32 PROP_ShowHighLow = 461;
const sal_Int32 PROP_ShowInputMessage = 462;
const sal_Int32 PROP_ShowLegendEntry = 463;
const sal_Int32 PROP_ShowList = 464;
const sal_Int32 PROP_ShowNegativeError = 465;
const sal_Int32 PROP_ShowObjects = 466;
const sal_Int32 PROP_ShowPageBreakPreview = 467;
const sal_Int32 PROP_ShowPositiveError = 468;
const sal_Int32 PROP_ShowZeroValues = 469;
const sal_Int32 PROP_ShrinkToFit = 470;
const sal_Int32 PROP_Size = 471;
const sal_Int32 PROP_Size100thMM = 472;
const sal_Int32 PROP_SizePixel = 473;
const sal_Int32 PROP_SizeProtect = 474;
const sal_Int32 PROP_SizeType = 475;
const sal_Int32 PROP_SkipDuplicates = 476;
const sal_Int32 PROP_SortInfo = 477;
const sal_Int32 PROP_Sound = 478;
const sal_Int32 PROP_SoundOn = 479;
const sal_Int32 PROP_Speed = 480;
const sal_Int32 PROP_Spin = 481;
const sal_Int32 PROP_SpinIncrement = 482;
const sal_Int32 PROP_SpinValue = 483;
const sal_Int32 PROP_SpinValueMax = 484;
const sal_Int32 PROP_SpinValueMin = 485;
const sal_Int32 PROP_StackCharacters = 486;
const sal_Int32 PROP_StackingDirection = 487;
const sal_Int32 PROP_StartPosition = 488;
const sal_Int32 PROP_StartWith = 489;
const sal_Int32 PROP_StartingAngle = 490;
const sal_Int32 PROP_State = 491;
const sal_Int32 PROP_StringItemList = 492;
const sal_Int32 PROP_SubViewSize = 493;
const sal_Int32 PROP_Subtotals = 494;
const sal_Int32 PROP_Suffix = 495;
const sal_Int32 PROP_Surround = 496;
const sal_Int32 PROP_SwapXAndYAxis = 497;
const sal_Int32 PROP_Symbol = 498;
const sal_Int32 PROP_SymbolColor = 499;
const sal_Int32 PROP_TabColor = 500;
const sal_Int32 PROP_TabIndex = 501;
const sal_Int32 PROP_TableBorder = 502;
const sal_Int32 PROP_TableLayout = 503;
const sal_Int32 PROP_TableSelected = 504;
const sal_Int32 PROP_Tables = 505;
const sal_Int32 PROP_Tabstop = 506;
const sal_Int32 PROP_Tag = 507;
const sal_Int32 PROP_TargetFrame = 508;
const sal_Int32 PROP_Text = 509;
const sal_Int32 PROP_TextAutoGrowHeight = 510;
const sal_Int32 PROP_TextBox = 511;
const sal_Int32 PROP_TextBreak = 512;
const sal_Int32 PROP_TextCameraZRotateAngle = 513;
const sal_Int32 PROP_TextColor = 514;
const sal_Int32 PROP_TextFitToSize = 515;
const sal_Int32 PROP_TextFrames = 516;
const sal_Int32 PROP_TextHorizontalAdjust = 517;
const sal_Int32 PROP_TextLeftDistance = 518;
const sal_Int32 PROP_TextLowerDistance = 519;
const sal_Int32 PROP_TextOverlap = 520;
const sal_Int32 PROP_TextPreRotateAngle = 521;
const sal_Int32 PROP_TextRightDistance = 522;
const sal_Int32 PROP_TextRotateAngle = 523;
const sal_Int32 PROP_TextRotation = 524;
const sal_Int32 PROP_TextUpperDistance = 525;
const sal_Int32 PROP_TextVerticalAdjust = 526;
const sal_Int32 PROP_TextWordWrap = 527;
const sal_Int32 PROP_TextWritingMode = 528;
const sal_Int32 PROP_Title = 529;
const sal_Int32 PROP_Toggle = 530;
const sal_Int32 PROP_TokenIndex = 531;
const sal_Int32 PROP_TopBorder = 532;
const sal_Int32 PROP_TopBorderDistance = 533;
const sal_Int32 PROP_TopMargin = 534;
const sal_Int32 PROP_TotalsRow = 535;
const sal_Int32 PROP_Transformation = 536;
const sal_Int32 PROP_TransitionDirection = 537;
const sal_Int32 PROP_TransitionDuration = 538;
const sal_Int32 PROP_TransitionFadeColor = 539;
const sal_Int32 PROP_TransitionSubtype = 540;
const sal_Int32 PROP_TransitionType = 541;
const sal_Int32 PROP_Transparency = 542;
const sal_Int32 PROP_TriState = 543;
const sal_Int32 PROP_Type = 544;
const sal_Int32 PROP_URL = 545;
const sal_Int32 PROP_UnnamedDatabaseRanges = 546;
const sal_Int32 PROP_Url = 547;
const sal_Int32 PROP_UseFilterCriteriaSource = 548;
const sal_Int32 PROP_UseRegularExpressions = 549;
const sal_Int32 PROP_UseRings = 550;
const sal_Int32 PROP_UseSelectedPage = 551;
const sal_Int32 PROP_VScroll = 552;
const sal_Int32 PROP_Validation = 553;
const sal_Int32 PROP_Value = 554;
const sal_Int32 PROP_VaryColorsByPoint = 555;
const sal_Int32 PROP_VertJustify = 556;
const sal_Int32 PROP_VertJustifyMethod = 557;
const sal_Int32 PROP_VertOrient = 558;
const sal_Int32 PROP_VertOrientPosition = 559;
const sal_Int32 PROP_VertOrientRelation = 560;
const sal_Int32 PROP_VerticalAlign = 561;
const sal_Int32 PROP_VerticalSplitMode = 562;
const sal_Int32 PROP_VerticalSplitPositionTwips = 563;
const sal_Int32 PROP_ViewBox = 564;
const sal_Int32 PROP_Visible = 565;
const sal_Int32 PROP_VisibleFlag = 566;
const sal_Int32 PROP_VisibleSize = 567;
const sal_Int32 PROP_VisualArea = 568;
const sal_Int32 PROP_VisualEffect = 569;
const sal_Int32 PROP_Weight = 570;
const sal_Int32 PROP_WhiteDay = 571;
const sal_Int32 PROP_Width = 572;
const sal_Int32 PROP_Wildcards = 573;
const sal_Int32 PROP_WritingMode = 574;
const sal_Int32 PROP_XLA1Representation = 575;
const sal_Int32 PROP_ZoomType = 576;
const sal_Int32 PROP_ZoomValue = 577;
const sal_Int32 PROP_COUNT = 578;
const sal_Int32 PROP_INVALID = -1;



} // namespace oox

#endif
